Bug 834860 - SELinux is preventing /usr/sbin/xl2tpd from using the 'setrlimit' accesses on a process.
SELinux is preventing /usr/sbin/xl2tpd from using the 'setrlimit' accesses on...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:17177455999d8f7e1c6b6284989...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 06:55 EDT by ManFree
Modified: 2012-06-25 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 03:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ManFree 2012-06-24 06:55:16 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.i686
time:           Sun 24 Jun 2012 06:55:01 PM MSK

description:
:SELinux is preventing /usr/sbin/xl2tpd from using the 'setrlimit' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that xl2tpd should be allowed setrlimit access on processes labeled l2tpd_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep xl2tpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:l2tpd_t:s0
:Target Context                system_u:system_r:l2tpd_t:s0
:Target Objects                 [ process ]
:Source                        xl2tpd
:Source Path                   /usr/sbin/xl2tpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xl2tpd-1.3.0-1.fc16.R.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.i686 #1
:                              SMP Mon May 7 17:45:26 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Sun 24 Jun 2012 06:49:08 PM MSK
:Last Seen                     Sun 24 Jun 2012 06:49:39 PM MSK
:Local ID                      3f1f2f12-9612-44e3-b523-0081b3ff3385
:
:Raw Audit Messages
:type=AVC msg=audit(1340549379.807:305): avc:  denied  { setrlimit } for  pid=14701 comm="xl2tpd" scontext=system_u:system_r:l2tpd_t:s0 tcontext=system_u:system_r:l2tpd_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1340549379.807:305): arch=i386 syscall=setrlimit success=no exit=EACCES a0=4 a1=bfca9e08 a2=46ed5ff4 a3=bfca9e80 items=0 ppid=14404 pid=14701 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=xl2tpd exe=/usr/sbin/xl2tpd subj=system_u:system_r:l2tpd_t:s0 key=(null)
:
:Hash: xl2tpd,l2tpd_t,l2tpd_t,process,setrlimit
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-25 03:01:58 EDT
Please could you try to update your system and see if this still happens

# yum update


If yes, please reopen the bug. There were xl2tpd fixes.

Note You need to log in before you can comment on or make changes to this bug.